; check the total pcp for segment
; copy the seg_mask.nc file to the pcp_forcing directory, and then run this command: ncl check_pcp_rain.ncl
begin
   
  segf = addfile("seg_mask.nc", "r")
  seg = segf->seg_masklnd2d
  x1d = ndtooned(seg)
  tmp1d=ind(x1d .gt. 0) 

  seg=where(seg < 0, 0, 1)

  tt=systemfunc ("/bin/rm -rf tmp")
  tt=systemfunc ("/bin/mkdir tmp")
 
  ngrids=dimsizes(tmp1d)

  datfils = systemfunc ("/bin/ls -1 *.*DOMAIN* |/usr/bin/sort")
  num_datfils     = dimsizes(datfils)

  ff=addfile(datfils(1), "r")
  ddtmp=dimsizes(ff->RAINRATE)
 
  print("ddtmp = "+ddtmp)

  do ifil = 0,num_datfils-1,1
     ff=addfile(datfils(ifil), "r")
     ffo=addfile("tmp/"+datfils(ifil), "c")
     if ( ddtmp(0) .eq. 1 ) then
        rain     = ff->RAINRATE(0,:,:)*1800
     else
        rain     = ff->RAINRATE*1800
     end if
     rain = rain * seg
     maxv = max(rain)
     sum_seg = sum(rain)
     print (datfils(ifil) + " maxv = "+maxv+" sum_seg= "+sum_seg + " Domain_AV= "+sum_seg/ngrids + " ngrids= " + ngrids)
     ffo->RAIN = rain
  end do
end
